【漏洞通告】VoIPmonitor 远程代码执行漏洞

  • A+
所属分类:安全漏洞

漏洞名称VoIPmonitor 远程代码执行漏洞 CVE-2021-30461

组件名称 : VoIPmonitor

影响范围 VoIPmonitor <= 24.60

漏洞类型 远程代码执行

利用条件

1、用户认证:不需要用户认证
2、触发方式:远程

综合评价

<综合评定利用难度>:容易,无需授权即可远程代码执行。

<综合评定威胁等级>:高危,能造成远程代码执行。


漏洞分析


组件介绍

VoIPmonitor是具有商业前端的开源网络数据包嗅探器,运行在Linux系统之上。VoIPmonitor旨在根据ITU-T G.107 E模型根据网络参数分析VoIP呼叫的质量-延迟变化和数据包丢失,该模型可预测MOS规模的质量。具有所有相关统计信息的调用将保存到MySQL数据库。可以选择仅使用SIP协议或SIP / RTP / RTCP / T.38 / udptl协议将每个呼叫保存到pcap文件。VoIPmonitor还可以解码语音并通过商业WEB GUI播放语音,或将其保存为WAV格式到磁盘中。支持的编解码器为G.711 alaw / ulaw,商业插件支持G.726 G.722 G.729a G.723 iLBC Speex GSM Silk iSAC OPUS AMR。VoIPmonitor也能够将T.38传真转换为PDF。


2 漏洞描述

2021年5月8日,深信服安全团队监测到一则VoIPmonitor组件存在远程代码执行漏洞的信息,漏洞编号:CVE-2021-30461,漏洞威胁等级:高危。


该漏洞是由于未对用户输出做正确的过滤,攻击者可利用该漏洞在未授权的情况下,构造恶意数据执行如远程代码执行攻击,最终造成获取服务器最高权限。


漏洞复现

搭建VoIPmonitor组件24.60版本环境,复现该漏洞,效果如下:

【漏洞通告】VoIPmonitor 远程代码执行漏洞


影响范围


VoIPmonitor由于其对VoIP流量的监控和解析广泛使用,可能受漏洞影响的资产广泛分布于世界各地,大部分分布在国外。今年曝出的漏洞属于利用难度低的远程代码执行漏洞,导致漏洞影响力还是很大。


目前受影响的VoIPmonitor版本:

VoIPmonitor <= 24.60


解决方案


官方修复建议

当前官方已发布最新版本,建议受影响的用户及时更新升级到最新版本。链接如下:

http://www.voipmonitor.org/download?WHMCSwxPBfGDQsX5v=9f9sm04mkao3phcdutsogd6vls


深信服解决方案

【深信服下一代防火墙】可防御此漏洞, 建议用户将深信服下一代防火墙开启 IPS/WAF 防护策略,并更新最新安全防护规则,即可轻松抵御此高危风险。

【深信服安全感知平台】结合云端实时热点高危/紧急漏洞信息,可快速检出业务场景下的该漏洞,并可联动【深信服下一代防火墙等产品】实现对攻击者IP的封堵。

【深信服安全云眼】在漏洞爆发之初,已完成检测更新,对所有用户网站探测,保障用户安全。不清楚自身业务是否存在漏洞的用户,可注册信服云眼账号,获取30天免费安全体验。

注册地址:http://saas.sangfor.com.cn

【深信服云镜】在漏洞爆发第一时间即完成检测能力的发布,部署了云镜的用户可以通过升级来快速检测网络中是否受该高危风险影响,避免被攻击者利用。离线使用云镜的用户需要下载离线更新包来获得漏洞检测能力,可以连接云端升级的用户可自动获得漏洞检测能力。


时间轴


2021/5/8  深信服监测到VoIPmonitor远程代码执行漏洞攻击信息。

2021/5/8  深信服千里目安全实验室发布漏洞通告、复现该漏洞、发布解决方案。


点击阅读原文,及时关注并登录深信服智安全平台,可轻松查询漏洞相关解决方案。

【漏洞通告】VoIPmonitor 远程代码执行漏洞


深信服千里目安全实验室

【漏洞通告】VoIPmonitor 远程代码执行漏洞

深信服科技旗下安全实验室,致力于网络安全攻防技术的研究和积累,深度洞察未知网络安全威胁,解读前沿安全技术。

● 扫码关注我们



本文始发于微信公众号(深信服千里目安全实验室):【漏洞通告】VoIPmonitor 远程代码执行漏洞

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: